<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: Member List</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d0/d7f/classThread_1_1Coap_1_1Header.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">Thread::Coap::Header Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0884aa8b02fc83496540a6cd2e9b7a73">AppendContentFormatOption</a>(MediaType aType)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ac047d4a2285b8315c1f11d66c04994a4">AppendOption</a>(const Option &amp;aOption)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a1df234ef27c9000081fbbe24e7c97dd6">AppendUriPathOptions</a>(const char *aUriPath)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a14de12f3c0338e69a239cb4dc9afaf07">Code</a> enum name</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aecbcbb8b836e0283559b89bd64fbc47f">Finalize</a>(void)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a134a9321fd50bc3cc6c2e7a8d313ed23">FromMessage</a>(const Message &amp;aMessage)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5259ece3cbe8e332599f7de4c488ad32">GetBytes</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a08454fc48790efe33c95be2311e1e6d1">GetCode</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a00b1ad2ad913333197fd0e24b0375925">GetCurrentOption</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ae1679d627108d5381dc1ae45d2254299">GetLength</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad45e8b7c304fce8c896ef531be34e9d6">GetMessageId</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#aeff9665493c1060e7e186203d0f03f11">GetNextOption</a>(void)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad51db46720122c64e67143e10eaf3820">GetToken</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a552cf5eab882b244b178b8093e8a18e9">GetTokenLength</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0d72d5dcded14ce9da3678a456cb70a8">GetType</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad72a44d4abf73228b4857b9ad90e7465">GetVersion</a>(void) const </td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad221953768fdb61bd62fa1bc3ffd4c89">Init</a>(void)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5ac8d25bb0581072ef1c3815bb380651a8e5ddd4d6ba5b4509392244047c83368">kApplicationOctetStream</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a14de12f3c0338e69a239cb4dc9afaf07acde235350d957af89cc7c974c6716989">kCodeChanged</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a14de12f3c0338e69a239cb4dc9afaf07a6aa1e220a7e0d67e373946f58c36ee64">kCodeContent</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a14de12f3c0338e69a239cb4dc9afaf07aa13f1d20502a235f7bf94c03deda5322">kCodeDelete</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a14de12f3c0338e69a239cb4dc9afaf07a1e8498ada7b11adfbea2a80da56bf790">kCodeGet</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a14de12f3c0338e69a239cb4dc9afaf07acb4a9e80ab913eadb58f694e619da0d8">kCodePost</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a14de12f3c0338e69a239cb4dc9afaf07a225c876fcfc18ae665e6cbb3a6a79cae">kCodePut</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9cc263e0c3c913253501e147d7a7b401accce1b05c2db09d6694b8c67ae52b091">kTypeAcknowledgment</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9cc263e0c3c913253501e147d7a7b401a7a96308948c23e5c1b7e987601e2e279">kTypeConfirmable</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9cc263e0c3c913253501e147d7a7b401a096caad676d32bedc333697b052f1bef">kTypeNonConfirmable</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9cc263e0c3c913253501e147d7a7b401a35c06a43d1df209f177c8e35fa38cd52">kTypeReset</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a369806d409bee9d0f481ccc300ba8e37aa6cdb2d12a0bbfa3462b189a62265a9f">kVersion1</a> enum value</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mCode</b> (defined in <a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a>)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a5ac8d25bb0581072ef1c3815bb380651">MediaType</a> enum name</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mHeader</b> (defined in <a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a>)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>mMessageId</b> (defined in <a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a>)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>mVersionTypeToken</b> (defined in <a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a>)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a0a2c1cf0ff97aab363e71f716254a736">SetCode</a>(Code aCode)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a7a374b4bd31694216d9397e1409209a0">SetMessageId</a>(uint16_t aMessageId)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9d8d2a7b438e4a7d27ce3b979b0bb2a0">SetToken</a>(const uint8_t *aToken, uint8_t aTokenLength)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#ad4147a19a4e8861f321c8aaaa5db6baa">SetType</a>(Type aType)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a411c64839fe9cf63ac201f9a6760199c">SetVersion</a>(uint8_t aVersion)</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html#a9cc263e0c3c913253501e147d7a7b401">Type</a> enum name</td><td class="entry"><a class="el" href="../../d0/d7f/classThread_1_1Coap_1_1Header.html">Thread::Coap::Header</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:36 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
